summaryrefslogtreecommitdiffstats
path: root/abs/core/ntp/ntpd
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/ntp/ntpd')
-rwxr-xr-xabs/core/ntp/ntpd39
1 files changed, 39 insertions, 0 deletions
diff --git a/abs/core/ntp/ntpd b/abs/core/ntp/ntpd
new file mode 100755
index 0000000..bb39123
--- /dev/null
+++ b/abs/core/ntp/ntpd
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/ntpd`
+case "$1" in
+ start)
+ stat_busy "Starting NTP Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/ntpd -g &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=`pidof -o %PPID /usr/bin/ntpd`
+ echo $PID > /var/run/ntpd.pid
+ add_daemon ntpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ntpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac